gRPC C#
gRPC C#
Namespaces
Grpc.Core
Calls Class
Calls Methods
AsyncClientStreamingCall(TRequest, TResponse) Method
AsyncDuplexStreamingCall(TRequest, TResponse) Method
AsyncServerStreamingCall(TRequest, TResponse) Method
AsyncUnaryCall(TRequest, TResponse) Method
BlockingUnaryCall(TRequest, TResponse) Method

Calls AsyncClientStreamingCall TRequest, TResponse Method

Invokes a client streaming call asynchronously. In client streaming scenario, client sends a stream of requests and server responds with a single response.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static AsyncClientStreamingCall<TRequest, TResponse> AsyncClientStreamingCall<TRequest, TResponse>(
    	CallInvocationDetails<TRequest, TResponse> call
    )
    where TRequest : class
    where TResponse : class

    Public Shared Function AsyncClientStreamingCall(Of TRequest As Class, TResponse As Class) (
    	call As CallInvocationDetails(Of TRequest, TResponse)
    ) As AsyncClientStreamingCall(Of TRequest, TResponse)

    public:
    generic<typename TRequest, typename TResponse>
    where TRequest : ref class
    where TResponse : ref class
    static AsyncClientStreamingCall<TRequest, TResponse>^ AsyncClientStreamingCall(
    	CallInvocationDetails<TRequest, TResponse> call
    )

    static member AsyncClientStreamingCall :
            call : CallInvocationDetails<'TRequest, 'TResponse> -> AsyncClientStreamingCall<'TRequest, 'TResponse>  when 'TRequest : not struct when 'TResponse : not struct

#### Parameters

call
  Type: Grpc.Core
  CallInvocationDetails
  TRequest, TResponse
  The call defintion.

#### Type Parameters

TRequest
  Type of request messages.
TResponse
  The of response message.

#### Return Value

Type: AsyncClientStreamingCall
TRequest, TResponse
An awaitable call object providing access to the response.
See Also

#### Reference

Calls Class
Grpc.Core Namespace